NXOpen .NET Reference  12.0.0
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Annotations.PmiLightweightSectionCollection Class Reference

Represents a collection of NXOpen.Annotations.LightweightSection objects More...

Inheritance diagram for NXOpen.Annotations.PmiLightweightSectionCollection:

Public Member Functions

NXOpen.Annotations.LightweightSection[] ToArray ()
 Returns an array of NXOpen.Annotations.LightweightSection objects. More...
 
unsafe
NXOpen.Annotations.LightweightSectionBuilder 
CreateLightweightSectionBuilder (NXOpen.Annotations.LightweightSection view)
 Creates a NXOpen.Annotations.LightweightSectionBuilder More...
 
unsafe
NXOpen.Annotations.LightweightSection 
FindObject (string name)
 Finds the lightweight section with the given name. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Annotations.LightweightSection objects

To obtain an instance of this class, refer to NXOpen.Annotations.PmiManager

Created in NX7.5.0

Member Function Documentation

unsafe NXOpen.Annotations.LightweightSectionBuilder NXOpen.Annotations.PmiLightweightSectionCollection.CreateLightweightSectionBuilder ( NXOpen.Annotations.LightweightSection  view)

Creates a NXOpen.Annotations.LightweightSectionBuilder

Created in NX7.5.0

License requirements: None.

Parameters
viewthe lightweight section to be edited, if a null reference (Nothing in Visual Basic), then create a lightweight section
Returns
override int NXOpen.Annotations.PmiLightweightSectionCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
protected

Advances the enumerator to the next element of the collection.

unsafe NXOpen.Annotations.LightweightSection NXOpen.Annotations.PmiLightweightSectionCollection.FindObject ( string  name)

Finds the lightweight section with the given name.

An exception will be thrown if no object can be found with given name

Created in NX7.5.0

License requirements: None.

Parameters
nameName of the lightweight section to be found
Returns
Lightweight section with this name
NXOpen.Annotations.LightweightSection [] NXOpen.Annotations.PmiLightweightSectionCollection.ToArray ( )

Returns an array of NXOpen.Annotations.LightweightSection objects.

Property Documentation

Tag NXOpen.Annotations.PmiLightweightSectionCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.